VMSTAT(8)

NAME
vmstat - Report virtual memory statistics

SYNOPSIS
vmstat [-n] [delay [ count]]
vmstat[-V]

DESCRIPTION
vmstat reports information about processes, memory, paging, block IO, traps, and cpu activity. The first report produced gives averages since the last reboot. Additional reports give information on a sampling period of length delay. The process and memory reports are instantaneous in either case.

  Options
The -n switch causes the header to be displayed only once rather than periodically.

delay is the delay between updates in seconds. If no delay is specified, only one report is printed with the average values since boot.

count is the number of updates. If no count is specified and delay is defined, count defaults to infinity.

The -V switch results in displaying version information.

FIELD DESCRIPTIONS

  Procs
r: The number of processes waiting for run time.
b: The number of processes in uninterruptable sleep.
w: The number of processes swapped out but otherwise runnable.  This
   field is calculated, but Linux never desperation swaps.

  Memory
swpd: the amount of virtual memory used (kB).
free: the amount of idle memory (kB).
buff: the amount of memory used as buffers (kB).

  Swap
si: Amount of memory swapped in from disk (kB/s).
so: Amount of memory swapped to disk (kB/s).

  IO
bi: Blocks sent to a block device (blocks/s).
bo: Blocks received from a block device (blocks/s).

  System
in: The number of interrupts per second, including the clock.
cs: The number of context switches per second.

  CPU
These are percentages of total CPU time.
us: user time
sy: system time
id: idle time

NOTES
vmstat does not require special permissions.

These reports are intended to help identify system bottlenecks. Linux vmstat does not count itself as a running process.

All linux blocks are currently 1k, except for CD-ROM blocks which are 2k.

FILES
/proc/meminfo
/proc/stat
/proc/*/stat

SEE ALSO
ps(1), top(1), free(1)

BUGS
Does not tabulate the block io per device or count the number of system calls.

AUTHOR
Written by Henry Ware <al172@yfn.ysu.edu>.